summaryrefslogtreecommitdiffstats
path: root/nuttx/tools/mkdeps.sh
diff options
context:
space:
mode:
authorpatacongo <patacongo@7fd9a85b-ad96-42d3-883c-3090e2eb8679>2011-08-27 14:58:42 +0000
committerpatacongo <patacongo@7fd9a85b-ad96-42d3-883c-3090e2eb8679>2011-08-27 14:58:42 +0000
commite1a8bc740d260ae83be6ac997277191a379f8357 (patch)
tree8413ac81481f5882da4b2be180da0ed20c9c20ef /nuttx/tools/mkdeps.sh
parent66859cc7910397ce71cb6a564831d1f3ab70a425 (diff)
STM32 I2C fix, documentation update, fixes for FreeBSD/ASH build
git-svn-id: https://nuttx.svn.sourceforge.net/svnroot/nuttx/trunk@3917 7fd9a85b-ad96-42d3-883c-3090e2eb8679
Diffstat (limited to 'nuttx/tools/mkdeps.sh')
-rwxr-xr-xnuttx/tools/mkdeps.sh12
1 files changed, 5 insertions, 7 deletions
diff --git a/nuttx/tools/mkdeps.sh b/nuttx/tools/mkdeps.sh
index 0aec5dba8f..6d83f2ca01 100755
--- a/nuttx/tools/mkdeps.sh
+++ b/nuttx/tools/mkdeps.sh
@@ -1,8 +1,8 @@
#!/bin/bash
############################################################################
-# tools mkdeps.sh
+# tools/mkdeps.sh
#
-# Copyright (C) 2007-2009 Gregory Nutt. All rights reserved.
+# Copyright (C) 2007-2009, 2011 Gregory Nutt. All rights reserved.
# Author: Gregory Nutt <spudmonkey@racsa.co.cr>
#
# Redistribution and use in source and binary forms, with or without
@@ -34,12 +34,10 @@
#
############################################################################
-WD=
-
#
# Usage:
-function show_usage ()
+show_usage ()
{
echo ""
echo "$progname [OPTIONS] CC -- CFLAGS -- file [file [file...]]"
@@ -69,7 +67,7 @@ function show_usage ()
exit 1
}
-function dodep ()
+dodep ()
{
unset fullpath
if [ -z "$altpath" ]; then
@@ -94,7 +92,7 @@ function dodep ()
fi
$cc -M $cflags $fullpath || \
- { echo "# ERROR: $cc -M $cflags $fullpath FAILED" ; exit 4 ; }
+ ( echo "# ERROR: $cc -M $cflags $fullpath FAILED"; exit 4; )
}
unset cc